Read-only preview
You're browsing the public OpenAPI spec. Sign in to send live requests with your team's API key.
SVM Tokens
Token Balances
Returns SPL token balances for Solana token owners with mint and program data.
GET
https://token-api.service.pinax.network/v1/svm/balances
Requires bearer token — sign in to inject your team’s key.
Supported networks (1)
Required parameters
| Name | Type | Description |
|---|---|---|
networkrequired query | Enum · 1 | The Graph Network ID for SVM networks https://thegraph.com/networks solana e.g. solana |
ownerrequired query | string | Filter by owner address Single value or array of values* (separate multiple values with `,`) *Plan restricted. e.g. GXYBNgyYKbSLr938VJCpmGLCUaAHWsncTi7jDoQSdFR9 |
Optional parameters
| Name | Type | Description |
|---|---|---|
token_account query | Address | Filter by token account address Single value or array of values* (separate multiple values with `,`) *Plan restricted. |
mint query | Mint | Filter by mint address Single value or array of values* (separate multiple values with `,`) *Plan restricted. e.g. pumpCmXqMfrsAkQ5r49WcJnRayYRqmXz6ae8H7H9Dfn |
program_id query | Enum · 3 | Filter by SPL token program ID 11111111111111111111111111111111TokenzQdBNbLqP5VEhdkAS6EPFLC1PHnBqCXEpPxuEbTokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA e.g. TokenzQdBNbLqP5VEhdkAS6EPFLC1PHnBqCXEpPxuEb |
include_null_balances query | boolean | Include zero/null balances in results |
limit query | integer | Number of items* returned in a single request. *Plan restricted. |
page query | integer | Page number to fetch. Empty `data` array signifies end of results. |
Response
200 OK{ "data": [ { "last_update": "2025-10-09 02:10:01", "last_update_block_num": 372132067, "last_update_timestamp": 1759975801, "program_id": "TokenzQdBNbLqP5VEhdkAS6EPFLC1PHnBqCXEpPxuEb", "owner": "GXYBNgyYKbSLr938VJCpmGLCUaAHWsncTi7jDoQSdFR9", "token_account": "5UZfa66rzeDpD9wKs3Sn3iewmavxYvpAtiF2Lqd2n1wW", "mint": "pumpCmXqMfrsAkQ5r49WcJnRayYRqmXz6ae8H7H9Dfn", "amount": "85605114004", "value": 85605.114004, "decimals": 6, "name": "Pump", "symbol": "PUMP", "uri": "https://ipfs.io/ipfs/bafkreibcglldkfdekdkxgumlveoe6qv3pbiceypkwtli33clbzul7leo4m", "network": "solana" } ] }